#version 130
precision highp float;

uniform sampler2D texture_color;
uniform vec4 color;

in vec2 world_texCoord;

out vec4 fragColor;

void main()
{
	if (texture2D(texture_color, world_texCoord).x == 0.0f)
		fragColor = vec4(0.0f, 0.0f, 0.0f, 0.0f);
	else
		fragColor = texture2D(texture_color, world_texCoord).x * color;
}