#version 130
precision highp float;

uniform mat4 persp;
uniform mat4 camera;

in vec4 vertex;
in vec4 lineColor;

out vec4 vert_color;

void main()
{
	gl_Position = persp * camera * vertex;
	vert_color = lineColor;
}