#version 130
precision highp float;

in vec2 vertex;
in vec2 uv;

uniform mat4 persp;
uniform mat4 model;

out vec2 world_texCoord;

void main()
{
	world_texCoord = uv;
	gl_Position = persp * model * vec4(vertex.xy, 1.0f, 1.0f);
}